PUT /api/v202310/budget/{budgetId}

Edits a budget

EditBudgetV202310 Permissions: BudgetsAndBudgetVersions (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
budgetId The identifier for the budget being edited integer (int32) Required

Request Body

BudgetEdit
Property Description Type
budgetInfo The budget name Must be between 0 and 50 characters Required (defined) string
note Notes for the budget Must be between 0 and 255 characters Required (defined) string
Example Request Body application/json
{  "budgetInfo": "string",  "note": "string"
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

BudgetResponse
Property Description Type
activeTotalBudget The total budget of the active version number (double)
budgetDataType BudgetDataType
BudgetDataType properties
Property Description Type
budgetDataTypeId The budget data type identifier integer (int32)
budgetDataTypeInfo The budget data type name string
budgetId The budget identifier integer (int32)
budgetInfo The budget name string
budgetPeriodType BudgetPeriodType
BudgetPeriodType properties
Property Description Type
budgetPeriodTypeId The budget period type identifier integer (int32)
budgetPeriodTypeInfo The budget period type name string
budgetUsageMethod BudgetUsageMethod
BudgetUsageMethod properties
Property Description Type
budgetUsageMethodId The budget usage method identifier integer (int32)
budgetUsageMethodInfo The budget usage method name string
budgetYear The budget fiscal year integer (int32)
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate The date when the version was created string (date-time)
endPeriod Ending period for the budget integer (int32)
includeChargebackBills Should the budget include chargeback bills boolean
includeInactiveAccountMeters Should the budget include inactive account meters boolean
includeInactiveAccounts Should the budget include inactive accounts boolean
includeInactiveMeters Should the budget include inactive meters boolean
maxVersionNumber The highest version number associated with this budget integer (int32)
notes Notes for the budget string
numberOfVersions The number of versions associated with this budget integer (int32)
taskData TaskChild
TaskChild properties
Property Description Type
status Status of the task string
taskGUId GUID for the Task string (uuid)
taskId Identifier for the Task integer (int32)
yearsOfData Number of years used to generate the budget integer (int32)
Example Response application/json
{  "activeTotalBudget": 1.0,  "budgetDataType": {    "budgetDataTypeId": 1,    "budgetDataTypeInfo": "string"
  },  "budgetId": 1,  "budgetInfo": "string",  "budgetPeriodType": {    "budgetPeriodTypeId": 1,    "budgetPeriodTypeInfo": "string"
  },  "budgetUsageMethod": {    "budgetUsageMethodId": 1,    "budgetUsageMethodInfo": "string"
  },  "budgetYear": 1,  "createdBy": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "createdDate": "2026-03-30",  "endPeriod": 1,  "includeChargebackBills": false,  "includeInactiveAccountMeters": false,  "includeInactiveAccounts": false,  "includeInactiveMeters": false,  "maxVersionNumber": 1,  "notes": "string",  "numberOfVersions": 1,  "taskData": {    "status": "string",    "taskGUId": "string",    "taskId": 1
  },  "yearsOfData": 1
}